> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the list of GLEC service footprint

> Fetch the list of GLEC service footprint.



## OpenAPI

````yaml /openapi.json get /api/v1/service-footprint/glec
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/service-footprint/glec:
    get:
      tags:
        - service-footprint-glec
      summary: Retrieve the list of GLEC service footprint
      description: Fetch the list of GLEC service footprint.
      parameters:
        - name: companyId
          in: query
          description: The unique identifier of the company.
          required: true
          schema:
            type: string
        - name: clientId
          in: query
          description: The unique identifier of the client/supplier.
          schema:
            type: string
        - name: vehicleId
          in: query
          description: The unique identifier of the vehicle.
          schema:
            type: string
        - name: externalId
          in: query
          description: The unique identifier of the external service footprint entry.
          schema:
            type: string
        - name: startDate
          in: query
          description: The start date of the period.
          required: true
          schema:
            type: string
            format: date
          example: '2024-01-01'
        - name: endDate
          in: query
          description: The end date of the period.
          required: true
          schema:
            type: string
            format: date
          example: '2024-12-01'
        - name: supplierId
          in: query
          description: The unique identifier of the supplier.
          schema:
            type: string
        - name: clientId
          in: query
          description: The unique identifier of the client.
          schema:
            type: string
      responses:
        '200':
          description: Successful response with emissions data
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        authorship:
                          type: object
                          properties:
                            lastImpersonatedBy:
                              type: string
                              nullable: true
                            lastModifiedBy:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                email:
                                  type: string
                                roles:
                                  type: array
                                  items:
                                    type: string
                                isLoggedIn:
                                  type: boolean
                                language:
                                  type: string
                                company:
                                  type: object
                                  properties:
                                    classification:
                                      type: string
                            owner:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                email:
                                  type: string
                                roles:
                                  type: array
                                  items:
                                    type: string
                                isLoggedIn:
                                  type: boolean
                                language:
                                  type: string
                                company:
                                  type: object
                                  properties:
                                    classification:
                                      type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            validation:
                              type: object
                        id:
                          type: string
                        companyId:
                          type: string
                        clientId:
                          type: string
                        externalId:
                          type: string
                          nullable: true
                        startDate:
                          type: string
                          format: date-time
                        endDate:
                          type: string
                          format: date-time
                        load:
                          type: number
                        loadUnit:
                          type: string
                          enum:
                            - kg
                            - mt
                          example: mt
                        from:
                          type: string
                        to:
                          type: string
                        distance:
                          type: number
                        actions:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              mode:
                                type: string
                              vehicleId:
                                type: string
                              from:
                                type: string
                              to:
                                type: string
                              distance:
                                type: number
                              load:
                                type: number
                              loadUnit:
                                type: string
                                enum:
                                  - kg
                                  - mt
                                example: mt
                              energyQuantity:
                                type: string
                              driver:
                                type: string
                              emission:
                                type: number
                              emissions:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    emission:
                                      type: number
                                    emissionFactorSnapshot:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        countryCode:
                                          type: string
                                        entityName:
                                          type: string
                                        year:
                                          type: integer
                                        emissionFactor:
                                          type: number
                                        conversion:
                                          type: string
                                          nullable: true
                                        description:
                                          type: string
                                          nullable: true
                                        entity:
                                          type: object
                                          properties:
                                            fuelType:
                                              type: string
                                            fuelLifeCycle:
                                              type: string
                                        origin:
                                          type: string
                                        source:
                                          type: string
                                        unit:
                                          type: string
                                        unitType:
                                          type: string
                                        status:
                                          type: string
                              sourceEmission:
                                type: object
                                properties:
                                  energy:
                                    type: number
                                  distance:
                                    type: number
                              sourceEmissions:
                                type: object
                                properties:
                                  energy:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        emission:
                                          type: number
                                        emissionFactorSnapshot:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                            countryCode:
                                              type: string
                                            entityName:
                                              type: string
                                            year:
                                              type: integer
                                            emissionFactor:
                                              type: number
                                            conversion:
                                              type: string
                                              nullable: true
                                            description:
                                              type: string
                                              nullable: true
                                            entity:
                                              type: object
                                              properties:
                                                fuelType:
                                                  type: string
                                                fuelLifeCycle:
                                                  type: string
                                            origin:
                                              type: string
                                            source:
                                              type: string
                                            unit:
                                              type: string
                                            unitType:
                                              type: string
                                            status:
                                              type: string
                                  distance:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        emission:
                                          type: number
                                        emissionFactorSnapshot:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                            countryCode:
                                              type: string
                                            entityName:
                                              type: string
                                            year:
                                              type: integer
                                            emissionFactor:
                                              type: number
                                            conversion:
                                              type: string
                                              nullable: true
                                            description:
                                              type: string
                                              nullable: true
                                            entity:
                                              type: object
                                              properties:
                                                vehicleType:
                                                  type: string
                                                vehicleCategoryType:
                                                  type: string
                                                fuelType:
                                                  type: string
                                                fuelLifeCycle:
                                                  type: string
                                            origin:
                                              type: string
                                            source:
                                              type: string
                                            unit:
                                              type: string
                                            unitType:
                                              type: string
                                            status:
                                              type: string
                        emission:
                          type: number
                        emissionByScope:
                          type: object
                          properties:
                            scope-1:
                              type: number
                            scope-3:
                              type: number
                        sourceEmission:
                          type: object
                          properties:
                            energy:
                              type: number
                            distance:
                              type: number
                        sourceEmissionByScope:
                          type: object
                          properties:
                            energy:
                              type: object
                              properties:
                                scope-1:
                                  type: number
                                scope-3:
                                  type: number
                            distance:
                              type: object
                              properties:
                                scope-1:
                                  type: number
                                scope-3:
                                  type: number
                  pagination:
                    type: object
                    properties:
                      total:
                        type: integer
                      page:
                        type: integer
                      limit:
                        type: integer
components:
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````